%define with_maven 1
Name:          freehep-xml
Version:       2.1.2
Release:       %mkrel 2
Summary:       FreeHEP XML Library
Group:         Development/Java
License:       LGPL
Url:           http://java.freehep.org/freehep-xml/
# svn checkout svn://svn.freehep.org/svn/freehep/tags/freehep-xml-2.1.2 freehep-xml
# tar czf freehep-xml-2.1.2-src-svn.tar.gz freehep-xml
Source0:       freehep-xml-2.1.2-src-svn.tar.gz
Source1:       freehep-xml-2.1.2-autogeneratedfiles.tar.gz
Patch0:        freehep-xml-noparent.patch
#BuildRequires: freehep-global
BuildRequires: freehep-io
BuildRequires: freehep-swing
BuildRequires: freehep-util
BuildRequires: java-devel
BuildRequires: java-javadoc
BuildRequires: jdom
BuildRequires: junit
BuildRequires: jpackage-utils
%if !%with_maven
BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: hamcrest
%else
BuildRequires: maven
BuildRequires: maven-plugin-exec
BuildRequires: maven-surefire-plugin
BuildRequires: maven-wagon
BuildRequires: forge-parent
%endif
BuildRequires: netbeans-platform
#Requires:      freehep-global
Requires:      freehep-io
Requires:      freehep-swing
Requires:      freehep-util
Requires:      jpackage-utils
BuildArch:     noarch

%description
Readers and writers for the XML format as well as a Menu System for building GUI menus from XML.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
FreeHEP XML Library.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

%patch0 -p0
%if !%with_maven
tar xf %{SOURCE1}
cp -pr pom.xml target/classes/META-INF/maven/org.freehep/freehep-xml
%endif

%build

%if %with_maven

    mvn-rpmbuild install javadoc:javadoc

%else
  export CLASSPATH=""
  CLASSPATH=$CLASSPATH:$(build-classpath jdom hamcrest/core netbeans/openide-util-lookup)
  CLASSPATH=$CLASSPATH:$(build-classpath freehep-io freehep-swing freehep-util junit ant/ant-junit):target/classes:target/test-classes
  ant \
    -Duser.home=$PWD \
    -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
    -Dmaven.test.skip=true \
    -Dmaven.settings.offline=true \
    -Dmaven.settings.interactiveMode=false \
    -Dbuild.sysclasspath=first \
    -Dj2se.api=%{_javadocdir}/java \
    jar javadoc

%endif

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%pre javadoc
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name} ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}) %{_javadocdir}/%{name} || :

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Tue Jan 17 2012 dmorgan <dmorgan> 2.1.2-2.mga2
+ Revision: 197620
- Clean spec file

  + gil <gil>
    - rebuilt with maven 3 support
    - imported package freehep-xml


* Tue May 31 2011 gil <gil> 2.1.2-0.%%mkrel
- initial rpm
